Get a study by ID
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rallyuxr.com/api/public/v1/studies/{studyId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"studyId": "<string>",
"studyType": "SURVEY",
"recruitmentStrategy": "IN_RALLY",
"status": "DRAFT",
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"externalDescription": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveType": "MONEY_OR_GIFT_CARD",
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>",
"currency": "USD"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"scheduler": {
"interviewDurationMinutes": 60
}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdFromTemplateId": "<string>",
"owners": [
{
"userId": "<string>",
"emailAccountId": "<string>",
"fullname": "<string>",
"email": "<string>"
}
],
"screener": {
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"type": "RALLY",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"type": "SHORT_FORM",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupStatus": "IN_PROGRESS",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorStudies
Get a study by ID
GET
/
studies
/
{studyId}
Get a study by ID
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rallyuxr.com/api/public/v1/studies/{studyId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"studyId": "<string>",
"studyType": "SURVEY",
"recruitmentStrategy": "IN_RALLY",
"status": "DRAFT",
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"externalDescription": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveType": "MONEY_OR_GIFT_CARD",
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>",
"currency": "USD"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"scheduler": {
"interviewDurationMinutes": 60
}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdFromTemplateId": "<string>",
"owners": [
{
"userId": "<string>",
"emailAccountId": "<string>",
"fullname": "<string>",
"email": "<string>"
}
],
"screener": {
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"type": "RALLY",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"type": "SHORT_FORM",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupStatus": "IN_PROGRESS",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorAuthorizations
Response
The study
Study object including its screener